## radlib 2.12.0

=== template-old/Makefile ===
###############################################################################
#                                                                             #
#  Makefile for the radlib-gpl template process                               #
#                                                                             #
#  Name                 Date           Description                            #
#  -------------------------------------------------------------------------  #
#  Yourname             01/01/2004     Initial Creation                       #
#                                                                             #
###############################################################################

#  Define some general usage vars


#  Libraries
LIBPATH			= \
			-L/usr/local/lib

LIBS			= \
			-lc \
			-lm \
			-lrad

# Define these according to where libmysqlclient is installed
MYSQL_LIB_DIR		= /usr/lib/mysql
MYSQL_INCLUDE_DIR	= /usr/include/mysql

DB_LIBS			= \
			-lc \
			-lz \
			-lrad \
			-lmysqlclient

DB_LIBPATH 		= \
			-L$(MYSQL_LIB_DIR)

#  Declare build defines
DEFINES			= \
			-D_DEBUG

#  Any build defines listed above should also be copied here
INCLUDES		= \
			-I/usr/local/include \
			-I.

########################### T A R G E T   I N F O  ############################
EXE_IMAGE		= ./templated
DB_EXE_IMAGE		= ./databaseExample

TEMPLATE_OBJS		= \
			./template.o \
			./templateStates.o

DB_OBJS		= \
			./databaseExample.o

#########################  E X P O R T E D   V A R S  #########################

#  Include the rules file for all of the common stuff
include ./rules.mk

################################  R U L E S  ##################################

$(EXE_IMAGE):   $(TEMPLATE_OBJS)
	@echo "Linking $@..."
	@$(LD) $(LD_OPTS) $(LIBPATH) -o $@ \
	$(TEMPLATE_OBJS) \
	$(LIBS)

$(DB_EXE_IMAGE): $(DB_OBJS) 
	@echo "Linking $@..."
	@$(LD) $(LD_OPTS) $(DB_LIBPATH) -o $@ \
	$(DB_OBJS) \
	$(DB_LIBS)


all: clean $(EXE_IMAGE) $(DB_EXE_IMAGE)


#  Cleanup rules...
clean:
	rm -rf \
	$(EXE_IMAGE) \
	$(DB_EXE_IMAGE) \
	$(TEMPLATE_OBJS) \
	$(DB_OBJS)

./databaseExample.o: ./databaseExample.c
	@echo "Building   $@"
	$(CC) $(CC_OPTS) $(SYS_DEFINES) $(INCLUDES) -I$(MYSQL_INCLUDE_DIR) -c $< -o $@

=== template/Makefile ===
###############################################################################
#                                                                             #
#  Makefile for the radlib template process                                   #
#                                                                             #
#  Name                 Date           Description                            #
#  -------------------------------------------------------------------------  #
#  Yourname             01/01/2004     Initial Creation                       #
#                                                                             #
###############################################################################

#  Define some general usage vars


#  Libraries
LIBPATH			= \
			-L/usr/local/lib

LIBS			= \
			-lc \
			-lm \
			-lrad

# Define these according to where libmysqlclient is installed
MYSQL_LIB_DIR		= /usr/lib/mysql
MYSQL_INCLUDE_DIR	= /usr/include/mysql

DB_LIBS			= \
			-lc \
			-lz \
			-lrad \
			-lmysqlclient

DB_LIBPATH 		= \
			-L$(MYSQL_LIB_DIR)

#  Declare build defines
DEFINES			= \
			-D_DEBUG

#  Any build defines listed above should also be copied here
INCLUDES		= \
			-I/usr/local/include \
			-I.

########################### T A R G E T   I N F O  ############################
EXE_IMAGE		= ./templated
EXE2_IMAGE		= ./template2d
DB_EXE_IMAGE		= ./databaseExample

TEMPLATE_OBJS		= \
			./template.o \
			./templateStates.o

TEMPLATE2_OBJS		= \
			./template2.o \
			./templateStates2.o

DB_OBJS		= \
			./databaseExample.o

#########################  E X P O R T E D   V A R S  #########################

#  Include the rules file for all of the common stuff
include ./rules.mk

################################  R U L E S  ##################################

all: $(EXE_IMAGE) $(EXE2_IMAGE)

$(EXE_IMAGE):   $(TEMPLATE_OBJS)
	@echo "Linking $@..."
	@$(LD) $(LD_OPTS) $(LIBPATH) -o $@ \
	$(TEMPLATE_OBJS) \
	$(LIBS)

$(EXE2_IMAGE):   $(TEMPLATE2_OBJS)
	@echo "Linking $@..."
	@$(LD) $(LD_OPTS) $(LIBPATH) -o $@ \
	$(TEMPLATE2_OBJS) \
	$(LIBS)

$(DB_EXE_IMAGE): $(DB_OBJS) 
	@echo "Linking $@..."
	@$(LD) $(LD_OPTS) $(DB_LIBPATH) -o $@ \
	$(DB_OBJS) \
	$(DB_LIBS)


#  Cleanup rules...
clean:
	rm -rf \
	$(EXE_IMAGE) \
	$(EXE2_IMAGE) \
	$(TEMPLATE_OBJS) \
	$(TEMPLATE2_OBJS) \
	$(DB_EXE_IMAGE) \
	$(DB_OBJS)

./databaseExample.o: ./databaseExample.c
	@echo "Building   $@"
	$(CC) $(CC_OPTS) $(SYS_DEFINES) $(INCLUDES) -I$(MYSQL_INCLUDE_DIR) -c $< -o $@

=== test/database/Makefile ===
###############################################################################
#                                                                             #
#  Makefile for the database tests                                            #
#                                                                             #
#  Name                 Date           Description                            #
#  -------------------------------------------------------------------------  #
#  MS Teel              01/10/02       Initial Creation                       #
#                                                                             #
###############################################################################
#  Define the C compiler and its options
CC			= gcc
CC_OPTS			= -Wall -g -O2
SYS_DEFINES		= \
			-D_GNU_SOURCE \
			-D_LINUX

#  Define the Linker and its options
LD			= gcc
LD_OPTS			=

#  Define the Library creation utility and it's options
LIB_EXE			= ar
LIB_EXE_OPTS		= -rv

#  Define the dependancy generator
DEP			= gcc -MM

################################  R U L E S  ##################################
#  Generic rule for c files
%.o: %.c
	@echo "Building   $@"
	$(CC) $(CC_OPTS) $(SYS_DEFINES) $(DEFINES) $(INCLUDES) -c $< -o $@


#  Define some general usage vars
#  subsection of our build...
ifeq ($(DB), MYSQL)
DB_LIB_DIR		= /usr/lib/mysql
DB_INCLUDE_DIR		= /usr/include/mysql
else
DB_LIB_DIR		= /usr/lib -L/usr/local/lib
DB_INCLUDE_DIR		= /usr/include -I/usr/local/include
endif

#  Libraries
LIBS			= \
			-lc \
			-lz \
			-lrad

ifeq ($(DB), MYSQL)
LIBS			+= -lmysqlclient
else
LIBS			+= -lpq
endif

LIBPATH 		= \
			-L$(DB_LIB_DIR)

#  Declare build defines
DEFINES			= \
			-D_DEBUG

#  Any build defines listed above should also be copied here
INCLUDES		= \
			-I. \
			-I$(DB_INCLUDE_DIR) 

########################### T A R G E T   I N F O  ############################
EXE_IMAGE		= dbtest

TEST_OBJS		= \
			./dbtest.o


#########################  E X P O R T E D   V A R S  #########################


################################  R U L E S  ##################################

$(EXE_IMAGE):	$(TEST_OBJS) 
	@echo "Linking $@..."
	@$(LD) $(LD_OPTS) $(LIBPATH) -o $@ \
	$(TEST_OBJS) \
	$(LIBS)

all: clean $(EXE_IMAGE)


#  Cleanup rules...
clean: 
	rm -rf \
	$(EXE_IMAGE) \
	$(TEST_OBJS)

=== test/msgRouter/Makefile ===
###############################################################################
#                                                                             #
#  Makefile for the radlib router test process                                #
#                                                                             #
#  Name                 Date           Description                            #
#  -------------------------------------------------------------------------  #
#  Yourname             01/01/2004     Initial Creation                       #
#                                                                             #
###############################################################################

#  Define some general usage vars


#  Libraries
LIBPATH			= \
			-L/usr/local/lib

LIBS			= \
			-lc \
			-lm \
			-lrad

DB_LIBS			= \
			-lc \
			-lz \
			-lrad

DB_LIBPATH 		= 

#  Declare build defines
DEFINES			= \
			-D_DEBUG

#  Any build defines listed above should also be copied here
INCLUDES		= \
			-I/usr/local/include \
			-I.

########################### T A R G E T   I N F O  ############################
EXE_IMAGE		= ./routetest

ROUTETEST_OBJS		= \
			./routetest.o

#########################  E X P O R T E D   V A R S  #########################

#  Include the rules file for all of the common stuff
include ./rules.mk

################################  R U L E S  ##################################

all: $(EXE_IMAGE)

$(EXE_IMAGE):   $(ROUTETEST_OBJS)
	@echo "Linking $@..."
	@$(LD) $(LD_OPTS) $(LIBPATH) -o $@ \
	$(ROUTETEST_OBJS) \
	$(LIBS)


#  Cleanup rules...
clean:
	rm -rf \
	$(EXE_IMAGE) \
	$(ROUTETEST_OBJS) \

=== test/multicast/Makefile ===
###############################################################################
#                                                                             #
#  Makefile for the multicast test process                                    #
#                                                                             #
#  Name                 Date           Description                            #
#  -------------------------------------------------------------------------  #
#  MS Teel              10/10/05       Initial Creation                       #
#                                                                             #
###############################################################################
#  Define the C compiler and its options
CC			= gcc
CC_OPTS			= -Wall -g -O2
SYS_DEFINES		= \
			-D_GNU_SOURCE \
			-D_LINUX

#  Define the Linker and its options
LD			= gcc
LD_OPTS			=

#  Define the Library creation utility and it's options
LIB_EXE			= ar
LIB_EXE_OPTS		= -rv

#  Define the dependancy generator
DEP			= gcc -MM

################################  R U L E S  ##################################
#  Generic rule for c files
%.o: %.c
	@echo "Building   $@"
	$(CC) $(CC_OPTS) $(SYS_DEFINES) $(DEFINES) $(INCLUDES) -c $< -o $@


#  Libraries
LIBS			= \
			-lc \
			-lz \
			-lrad

LIBPATH 		= \
			-L/usr/local/lib

#  Declare build defines
DEFINES			= \
			-D_DEBUG

#  Any build defines listed above should also be copied here
INCLUDES		= \
			-I. \
			-I/usr/local/include

########################### T A R G E T   I N F O  ############################
EXE_IMAGE		= multicast

TEST_OBJS		= \
			./multicast.o


#########################  E X P O R T E D   V A R S  #########################


################################  R U L E S  ##################################

$(EXE_IMAGE):	$(TEST_OBJS) 
	@echo "Linking $@..."
	@$(LD) $(LD_OPTS) $(LIBPATH) -o $@ \
	$(TEST_OBJS) \
	$(LIBS)

all: clean $(EXE_IMAGE)


#  Cleanup rules...
clean: 
	rm -rf \
	$(EXE_IMAGE) \
	$(TEST_OBJS)

=== test/sha/Makefile ===
###############################################################################
#                                                                             #
#  Makefile for the sha test                                                  #
#                                                                             #
#  Name                 Date           Description                            #
#  -------------------------------------------------------------------------  #
#  MS Teel              10/20/05       Initial Creation                       #
#                                                                             #
###############################################################################
#  Define the C compiler and its options
CC			= gcc
CC_OPTS			= -Wall -g -O2
SYS_DEFINES		= \
			-D_GNU_SOURCE \
			-D_LINUX

#  Define the Linker and its options
LD			= gcc
LD_OPTS			=

#  Define the Library creation utility and it's options
LIB_EXE			= ar
LIB_EXE_OPTS		= -rv

#  Define the dependancy generator
DEP			= gcc -MM

################################  R U L E S  ##################################
#  Generic rule for c files
%.o: %.c
	@echo "Building   $@"
	$(CC) $(CC_OPTS) $(SYS_DEFINES) $(DEFINES) $(INCLUDES) -c $< -o $@


#  Libraries
LIBS			= \
			-lc \
			-lz \
			-lrad

LIBPATH 		= \
			-L/usr/local/lib

#  Declare build defines
DEFINES			= \
			-D_DEBUG

#  Any build defines listed above should also be copied here
INCLUDES		= \
			-I. \
			-I/usr/local/include

########################### T A R G E T   I N F O  ############################
EXE_IMAGE		= radsha

TEST_OBJS		= \
			./radsha.o


#########################  E X P O R T E D   V A R S  #########################


################################  R U L E S  ##################################

$(EXE_IMAGE):	$(TEST_OBJS) 
	@echo "Linking $@..."
	@$(LD) $(LD_OPTS) $(LIBPATH) -o $@ \
	$(TEST_OBJS) \
	$(LIBS)

all: clean $(EXE_IMAGE)


#  Cleanup rules...
clean: 
	rm -rf \
	$(EXE_IMAGE) \
	$(TEST_OBJS)

=== test/sqlite/Makefile ===
###############################################################################
#                                                                             #
#  Makefile for the database tests                                            #
#                                                                             #
#  Name                 Date           Description                            #
#  -------------------------------------------------------------------------  #
#  MS Teel              01/10/02       Initial Creation                       #
#                                                                             #
###############################################################################
#  Define the C compiler and its options
CC			= gcc
CC_OPTS			= -Wall -g -O2
SYS_DEFINES		= \
			-D_GNU_SOURCE \
			-D_LINUX

#  Define the Linker and its options
LD			= gcc
LD_OPTS			=

#  Define the Library creation utility and it's options
LIB_EXE			= ar
LIB_EXE_OPTS		= -rv

#  Define the dependancy generator
DEP			= gcc -MM

################################  R U L E S  ##################################
#  Generic rule for c files
%.o: %.c
	@echo "Building   $@"
	$(CC) $(CC_OPTS) $(SYS_DEFINES) $(DEFINES) $(INCLUDES) -c $< -o $@


#  Define some general usage vars
#  subsection of our build...
ifeq ($(DB), MYSQL)
DB_LIB_DIR		= /usr/lib/mysql
DB_INCLUDE_DIR		= /usr/include/mysql
else
DB_LIB_DIR		= /usr/lib -L/usr/local/lib
DB_INCLUDE_DIR		= /usr/include -I/usr/local/include
endif

#  Libraries
LIBS			= \
			-lc \
			-lz \
			-lrad

LIBS			+= -lsqlite3

LIBPATH 		= \
			-L$(DB_LIB_DIR)

#  Declare build defines
DEFINES			= \
			-D_DEBUG

#  Any build defines listed above should also be copied here
INCLUDES		= \
			-I. \
			-I$(DB_INCLUDE_DIR) 

########################### T A R G E T   I N F O  ############################
EXE_IMAGE		= dbtest

TEST_OBJS		= \
			./dbtest.o


#########################  E X P O R T E D   V A R S  #########################


################################  R U L E S  ##################################

$(EXE_IMAGE):	$(TEST_OBJS) 
	@echo "Linking $@..."
	@$(LD) $(LD_OPTS) $(LIBPATH) -o $@ \
	$(TEST_OBJS) \
	$(LIBS)

all: clean $(EXE_IMAGE)


#  Cleanup rules...
clean: 
	rm -rf \
	$(EXE_IMAGE) \
	$(TEST_OBJS)

=== debian/changelog ===
radlib (2.12.0-9) unstable; urgency=medium

  [ Joachim Zobel ]
  * Renamed raddebug to raddebug.radlib (Closes: #1076219)
  * d/control: Updated Homepage

  [ Thorsten Alteholz ]
  * taking care of trailing whitespaces in d/rules, d/changelog
  * debian/copyright: update
  * adding debian/upstream/metadata

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 30 Aug 2025 12:47:22 +0200

radlib (2.12.0-8) unstable; urgency=medium

  [ Nilesh Patra ]
  * Fixup cross-builds (Closes: #1110409)

  [ Joachim Zobel ]
  * Added hardening flags

  [ Thorsten Alteholz ]
  * debian/control: bump standard to 4.7.2 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 24 Aug 2025 19:12:00 +0200

radlib (2.12.0-7) unstable; urgency=medium

  * debian/control: bump standard to 4.6.2 (no changes)
  * debian/control: use dh13
  * debian/control: add Rules-Requires-Root: no
  * add patch implicit.patch (Closes: #1066622)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 16 Mar 2024 00:12:00 +0100

radlib (2.12.0-6) unstable; urgency=medium

  * debian/control: bump standard to 4.1.5 (no changes)
  * debian/control: use dh11
  * debian/control: use salsa VCS URLs
  * debian/control: replace Priority: extra
  * add watch file
  * add symbols file for librad0

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 10 Jul 2018 19:12:00 +0200

radlib (2.12.0-5) unstable; urgency=medium

  * add patch umask.patch (Closes: #873365)
  * debian/control: bump standard to 4.1.0 (no changes)
  * debian/control: remove redundant dependency of autotools-dev

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 08 Sep 2017 18:12:00 +0200

radlib (2.12.0-4) unstable; urgency=medium

  * drop dependency for libc6 (Closes: #862520)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 20 May 2017 18:12:00 +0200

radlib (2.12.0-3) unstable; urgency=medium

  * debian/copyright: some additions (Closes: #862448)
  * debian/control: move to debian-iot as maintainer

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 13 May 2017 18:12:00 +0200

radlib (2.12.0-2) unstable; urgency=medium

  * upload to Debian
  * debian/control: move to dh10
  * debian/control: move standards to 3.9.8

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 11 May 2017 19:12:00 +0200

radlib (2.12.0-1) wheezy; urgency=low

  * New upstream release.

 -- Mark Teel <mteel2005@gmail.com>  Sat, 17 Mar 2012 10:00:00 -0600

radlib (2.11.3-1) wheezy; urgency=low

  * New upstream release.

 -- Mark Teel <mteel2005@gmail.com>  Sun, 10 Apr 2011 10:00:00 -0600

radlib (2.11.2-1) wheezy; urgency=low

  * New upstream release.

 -- Mark Teel <mteel2005@gmail.com>  Fri, 01 Apr 2011 17:00:00 -0600

radlib (2.11.1-1) wheezy; urgency=low

  * New upstream release.

 -- Mark Teel <mteel2005@gmail.com>  Fri, 01 Apr 2011 10:00:00 -0600

radlib (2.11.0-1) wheezy; urgency=low

  * New upstream release.

 -- Mark Teel <mteel2005@gmail.com>  Wed, 30 Mar 2011 10:00:00 -0600

radlib (2.10.3-1) wheezy; urgency=low

  * New upstream release.

 -- Mark Teel <mteel2005@gmail.com>  Mon, 14 Mar 2011 10:00:00 -0600

radlib (2.10.2-1) wheezy; urgency=low

  * New upstream release.

 -- Mark Teel <mteel2005@gmail.com>  Mon, 21 Feb 2011 10:00:00 -0600

radlib (2.10.1-1) wheezy; urgency=low

  * New upstream release.

 -- Mark Teel <mteel2005@gmail.com>  Sat, 15 May 2010 21:00:00 -0600

radlib (2.10.0-1) wheezy; urgency=low

  * New upstream release.

 -- Mark Teel <mteel2005@gmail.com>  Tue, 11 May 2010 17:00:00 -0600

radlib (2.9.0-1) wheezy; urgency=low

  * Initial Release.

 -- Mark Teel <mteel2005@gmail.com>  Tue, 17 Nov 2009 08:14:06 -0600

=== debian/control ===
Source: radlib
Priority: optional
Maintainer: Debian IoT Maintainers <debian-iot-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, libsqlite3-dev
Standards-Version: 4.7.2
Section: libs
Homepage: https://github.com/mteel/radlib
Vcs-Browser: https://salsa.debian.org/debian-iot-team/radlib
Vcs-Git: https://salsa.debian.org/debian-iot-team/radlib.git
Rules-Requires-Root: no

Package: radlib-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: librad0 (= ${binary:Version}), ${misc:Depends}, libsqlite3-dev
Description: development file for librad0
 radlib is a C language library developed to abstract details of interprocess
 communications and common linux/unix system facilities so that application
 developers can concentrate on application solutions. It encourages developers
 (whether expert or novice) to use a proven paradigm of event-driven,
 asynchronous design. By abstracting interprocess messaging, events, timers,
 and any I/O device that can be represented as a file descriptor, radlib
 simplifies the implementation of multi-purpose processes, as well as multi-
 process applications.
 .
 This is the package needed for development.

Package: librad0-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libsqlite3-0, librad0 (= ${binary:Version})
Description: tools for rapid application development library
 radlib is a C language library developed to abstract details of interprocess
 communications and common linux/unix system facilities so that application
 developers can concentrate on application solutions. It encourages developers
 (whether expert or novice) to use a proven paradigm of event-driven,
 asynchronous design. By abstracting interprocess messaging, events, timers,
 and any I/O device that can be represented as a file descriptor, radlib
 simplifies the implementation of multi-purpose processes, as well as multi-
 process applications.
 .
 This is a package containing some tools.

Package: librad0
Architecture: any
Multi-Arch: same
Suggests: librad0-tools (= ${binary:Version})
Depends: ${shlibs:Depends}, ${misc:Depends}, libsqlite3-0
Description: rapid application development library
 radlib is a C language library developed to abstract details of interprocess
 communications and common linux/unix system facilities so that application
 developers can concentrate on application solutions. It encourages developers
 (whether expert or novice) to use a proven paradigm of event-driven,
 asynchronous design. By abstracting interprocess messaging, events, timers,
 and any I/O device that can be represented as a file descriptor, radlib
 simplifies the implementation of multi-purpose processes, as well as multi-
 process applications.

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_MAINT_OPTIONS += hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
include /usr/share/dpkg/buildtools.mk
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
CROSS= --build $(DEB_BUILD_GNU_TYPE)
endif

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	echo "Ldflags: $(LDFLAGS)"
	# ./configure $(CROSS) --prefix=/usr --enable-sqlite
	./configure  --prefix=/usr --enable-sqlite \
		--mandir=\$${prefix}/share/man \
		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
		--infodir=\$${prefix}/share/info \
		CC="$(CC)" \
		CXX="$(CXX)" \
		CFLAGS="$(CFLAGS)" \
		$(CROSS) \
		LDFLAGS="-Wl,-z,defs -Wl,-z,now $(LDFLAGS) -L\$${prefix}/lib -lsqlite3 -lpthread"

execute_after_dh_auto_install:
	# Rename raddebug to raddebug.radlib to avoid naming conflict with
	# freeradius (see  #1076219)
	mv debian/tmp/usr/bin/raddebug debian/tmp/usr/bin/raddebug.radlib
